Table of Contents

## Name

im_printdesc, im_Type2char, im_char2Type, im_BandFmt2char, im_char2BandFmt, im_Coding2char, im_char2Coding, im_Compression2char, im_char2Compression - decode image descriptors

## Synopsis

#include <vips/vips.h>
#include <vips/util.h>

void im_printdesc(image)
IMAGE *image;

char *im_Type2char( ty );
int ty;

char *im_BandFmt2char( bf );
int bf;

char *im_Coding2char( cod );
int cod;

char *im_Compression2char( comp );
int comp;

int im_char2Type( str );
char *str;

int im_char2BandFmt( str );
char *str;

int im_char2Coding( str );
char *str;

int im_char2Compression( str );
char *str;

## Description

im_printdesc(3) prints the image descriptor pointed by image.

im_printdesc(3) exports the functions it uses to code and uncode the type fields in image headers. The functions which return char * return a static string of the form "<bad Type>" on error,

The functions which return int return -1 on error, setting im_error(3) .

## See Also

header(1) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 11/04/1990

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright
- Author